name-template: 'v$RESOLVED_VERSION 🐘'
tag-template: 'v$RESOLVED_VERSION'
exclude-labels:
  - 'skip-changelog'
version-resolver:
  major:
    labels:
      - 'breaking-change'
  minor:
    labels:
      - 'enhancement'
  default: patch
categories:
  - title: '⚠️ Breaking changes'
    label: 'breaking-change'
  - title: '🚀 Enhancements'
    label: 'enhancement'
  - title: '🐛 Bug Fixes'
    label: 'bug'
  - title: '🔒 Security'
    label: 'security'
  - title: '⚙️ Maintenance/misc'
    label:
      - 'maintenance'
      - 'documentation'
template: |
  $CHANGES

  Thanks again to $CONTRIBUTORS! 🎉
no-changes-template: 'Changes are coming soon 😎'
sort-direction: 'ascending'
replacers:
  - search: '/(?:and )?@dependabot-preview(?:\[bot\])?,?/g'
    replace: ''
  - search: '/(?:and )?@meili-bors(?:\[bot\])?,?/g'
    replace: ''
  - search: '/(?:and )?@meili-bot,?/g'
    replace: ''
  - search: '/(?:and )?@dependabot(?:\[bot\])?,?/g'
    replace: ''
